#include <bits/stdc++.h>
using namespace std;

int a[200000];

int main() {
    int n, k; scanf("%d%d", &n, &k);

    int cnt=0;
    for(int i=0;i<n;++i){int c; scanf("%d", &c); if(c==1) cnt++;}

    printf("%d", (int)(cnt>=k));
}